Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Theodor Thornhill <[email-masked]>
Date: Sat, 06 Jun 2020 11:53:36 +0000

On Sat, Jun 6, 2020 at 13:15, Dmitry Gutov <[email-masked]> wrote:

>> Unless you make sure it's full-featured, indeed. But the problem might
> become more severe in the future if we add more capabilities to projects.

This would essentially mean that at least until the api is completely stable the git version is the de facto implementation?

How about as you proposed extract the vc until, then compose different versions? Most projects will use it anyways, and my foo-mode shouldn’t have miss out.

I mean, if we want to support “.project”, I assume we still want to use vc backend after we do git init. Should we have to delete that said file then? What if we accept some pattern, then merge all the other functions? I believe we can’t use generics, call-next-method and friends for this?

>> arbitrary project can have a totally different set of ignores. So, at
> the very least, I'm in doubt how to write the docstring.

An arbitrary project can then just add a “list file“ functions, and if git is not there, it will just return nil

Theo